petsc-3.4.2 2013-07-02

# DMMeshCreateSectionRealIS

Create a Section over the points specified in an IS.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshCreateSectionRealIS(DM dm,IS is,const char name[],PetscInt fiberDim,SectionReal *section)

Collective on DMMesh

### Input Parameters

+ dm - the DMMesh object . is - The IS describing the points associated with the degrees of freedom . name - The name of the section - fiberDim - The number of degrees of freedom per point of the IS

### Output Parameter

. section - The section

### Keywords

mesh, section, cell

### See Also

DMMeshCreate(), SectionRealCreate(), DMMeshGetVertexSectionReal(), DMMeshGetCellSectionReal()

Level:intermediate
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages